## org.apache.mahout.vectorizer
Interface Vectorizer

All Known Implementing Classes:
  DictionaryVectorizer, SimpleTextEncodingVectorizer

    public interface Vectorizer

Method Summary
`void` `createVectors(org.apache.hadoop.fs.Path input, org.apache.hadoop.fs.Path output, VectorizerConfig config)`

Method Detail

### createVectors

    void createVectors(org.apache.hadoop.fs.Path input,
                       org.apache.hadoop.fs.Path output,
                       VectorizerConfig config)
                       throws IOException,
                              ClassNotFoundException,
                              InterruptedException

  Throws:
    `IOException`
    `ClassNotFoundException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.